<style>
    table {
        border-collapse: collapse;
        width: 50%;
    }
    
    th, td {
        padding: 8px;
        text-align: left;
        border-bottom: 1px solid #ddd;
    }
    
    th {
        background-color: #9ACD32;
    }
</style>

<?php
// Pripojenie k databáze
$host = 'localhost';
$dbname = 'users';
$username = 'pail';
$password = 'password';

try {
    $pdo = new PDO("mysql:host=$host;dbname=$dbname", $username, $password);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    if (isset($_POST['reset'])) {
        // Vynulovanie (vymazanie) obsahu tabulky
        $pdo->exec("TRUNCATE TABLE uzivatelia");
        
        // Uloženie obsahu tabulky do textového súboru
        $stmt = $pdo->query("SELECT * FROM uzivatelia");
        $results = $stmt->fetchAll(PDO::FETCH_ASSOC);
        
        $file = 'tabulka.txt';
        $content = '';
        foreach ($results as $row) {
            $content .= "ID: ".$row['id']."\tMeno: ".$row['name']."\tVýsledok: ".$row['score']."\tcas: ".$row['time']."\n";
        }
        file_put_contents($file, $content);
        
        echo "Databáza bola vynulovaná a obsah tabulky bol uložený do súboru 'tabulka.txt'.";
    }

    // Pripravený príkaz pre výber údajov z tabulky
    $stmt = $pdo->query("SELECT * FROM uzivatelia");
    $results = $stmt->fetchAll(PDO::FETCH_ASSOC);

    if (count($results) > 0) {
        echo "<table>";
        echo "<tr><th>ID</th><th>Meno</th><th>Vysledok</th><th>Cas</th></tr>";

        foreach ($results as $row) {
            echo "<tr>";
            echo "<td>".$row['id']."</td>";
            echo "<td>".$row['name']."</td>";
            echo "<td>".$row['score']."</td>";
            echo "<td>".$row['time']."</td>";
            echo "</tr>";
        }

        echo "</table>";
    } else {
        echo "Žiadne údaje nie sú k dispozícii v tabulke.";
    }
} catch (PDOException $e) {
    die("Chyba pri pripájaní sa k databáze: " . $e->getMessage());
}
?>


<form method="post">
<meta charset="UTF-8">
    <input type="submit" name="reset" value="Vynulovat databazu">
</form>
